

<script>
import {Pie} from 'vue-chartjs'

export default {
  extends:Pie,
  props: ['chartdata'],
  mounted(){

    let yesCount = this.chartdata.filter((d) => d.value).length;
    let noCount = this.chartdata.filter((d) => !d.value).length;
    let data = {
      labels: ["Yes", "No"],
      datasets: [
        {
          label: "Votes",
          backgroundColor: ["#6cab4d","#f87979"],
          data: [yesCount, noCount]
        },
      ],
    };
    this.renderChart(data,{
      responsive: true,
      maintainAspectRatio: false,
    });
  },
  name: 'BarChart',
  data:function () {
    return {
    };
  },
}
</script>
<style scoped>
.barChart{
  height:100px;
  width:100px;
  background:green;
}
</style>
